org.jboss.jca.core.tx.noopts

## Class XAResourceRecoveryImpl

- java.lang.Object
- - org.jboss.jca.core.tx.noopts.XAResourceRecoveryImpl

- All Implemented Interfaces:
    org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery

      public class XAResourceRecoveryImpl
      extends java.lang.Object
      implements org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery

  An XAResourceRecovery implementation.
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XAResourceRecoveryImpl()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.transaction.xa.XAResource[]` | `getXAResources()` Provides XAResource(s) to the transaction system for recovery purposes.
    `void` | `initialize()` Initialize the recovery plugin
    `void` | `setJndiName(java.lang.String jndiName)` Set the JNDI name for the resource
    `void` | `shutdown()` Shutdown the recovery plugin

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XAResourceRecoveryImpl

          public XAResourceRecoveryImpl()

      Constructor

  - ### Method Detail

    - #### initialize

          public void initialize()
                          throws java.lang.Exception

      Initialize the recovery plugin
      Specified by:
        `initialize` in interface `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery`
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### shutdown

          public void shutdown()
                        throws java.lang.Exception

      Shutdown the recovery plugin
      Specified by:
        `shutdown` in interface `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery`
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### getXAResources

          public javax.transaction.xa.XAResource[] getXAResources()

      Provides XAResource(s) to the transaction system for recovery purposes.
      Specified by:
        `getXAResources` in interface `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery`
      Returns:
        An array of XAResource objects for use in transaction recovery In most cases the implementation will need to return only a single XAResource in the array. For more sophisticated cases, such as where multiple different connection types are supported, it may be necessary to return more than one. The Resource should be instantiated in such a way as to carry the necessary permissions to allow transaction recovery. For some deployments it may therefore be necessary or desirable to provide resource(s) based on e.g. database connection parameters such as username other than those used for the regular application connections to the same resource manager.

    - #### setJndiName

          public void setJndiName(java.lang.String jndiName)

      Set the JNDI name for the resource
      Specified by:
        `setJndiName` in interface `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery`
      Parameters:
        `jndiName` - The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)